### Method

# Ide Context peek_child_typed

#### Declaration

    IdeObject*
    ide_context_peek_child_typed (
      IdeContext* self,
      GType type
    )

#### Description

Looks for the first child matching `type`, and returns it. No reference is taken to the child, so you should avoid using this except as used by compatability functions.

This may only be called from the main thread or you risk the objects being finalized before your caller has a chance to reference them.

Available since: | 3.32

#### Parameters

`type` | `GType`
| The `GType` of the child.

#### Return value

Returns: | `IdeObject`
| An `IdeObject` that matches `type` if successful; otherwise `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.